#
# spec file for package xminesweep (Version 3.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         xminesweep
Copyright:    1993 Ashley Roll
Group:        X11/Games
Provides:     xmines21 xminesweep3.0 xmines
Obsoletes:    xmines
Autoreqprov:  on
Version:      3.0
Release:      120
Summary:      Minesweeper clone
Source:       %{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-build

%description
Minesweeper clone

Authors:
--------
    Ashley Roll <ash@dstc.edu.au>

SuSE series: fun

%prep
%setup
%patch

%build
xmkmf -a
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT MANDIR=/usr/X11R6/man/man6/ MANSUFFIX=6 install.man
strip $RPM_BUILD_ROOT/usr/X11R6/bin/xminesweep

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/X11R6/bin/xminesweep
%doc /usr/X11R6/man/man6/xminesweep.6*

%changelog -n xminesweep
* Wed Nov 22 2000 - vinil@suse.cz
- renamed from xmines to xminesweep
- source bzip2ed
- spec file beautified
- linked against Xaw3d instead of Xaw
* Fri Apr 21 2000 - vinil@suse.cz
- buildroot added
- spec file cleanup
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
